elm::flipselector Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::flipselector Struct Reference

Class flipselector. More...

## Public Member Functions
| flipselector (Eo *eo)
| Eo Constructor. More...
| flipselector (std::nullptr_t)
| nullptr_t Constructor. More...
| flipselector (flipselector const &other)
| Copy Constructor.
::elm::widget_item | item_prepend (::efl::eina::string_view label_, Evas_Smart_Cb func_, void *data_) const
::elm::widget_item | item_append (::efl::eina::string_view label_, Evas_Smart_Cb func_, const void *data_) const
| flipselector (::efl::eo::parent_type _p)
| Constructs a new elm::flipselector object. More...

## Detailed Description

Class flipselector.

## Constructor & Destructor Documentation

elm::flipselector::flipselector | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::flipselector object.

Constructs a new elm::flipselector object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::flipselector my_flipselector(efl::eo::parent = parent_object);

See also
  flipselector(Eo* eo)

elm::flipselector::flipselector | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::flipselector::flipselector | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

::elm::widget_item elm::flipselector::item_append | ( | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  label |
  func |
  data |

::elm::widget_item elm::flipselector::item_prepend | ( | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  label |
  func |
  data |